com.independentsoft.exchange

## Class FractionalPageView

- java.lang.Object
- - com.independentsoft.exchange.View
  - - com.independentsoft.exchange.PageView
    - - com.independentsoft.exchange.FractionalPageView

-     public class FractionalPageView
      extends PageView

  Describes where a paged view starts and the maximum number of items that are returned in a FindItem or FindFolder response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FractionalPageView()` Initializes a new instance of the FractionalPageView class.
    `FractionalPageView(int numerator, int denominator)` Initializes a new instance of the FractionalPageView class.
    `FractionalPageView(int numerator, int denominator, int maxEntriesReturned)` Initializes a new instance of the FractionalPageView class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDenominator()` Gets the denominator of the fractional offset from the start of the total number of items in the result set.
    `int` | `getNumerator()` Gets the numerator of the fractional offset from the start of the total number of items in the result set.
    `void` | `setDenominator(int denominator)` Sets the denominator of the fractional offset from the start of the total number of items in the result set.
    `void` | `setNumerator(int numerator)` Sets the numerator of the fractional offset from the start of the total number of items in the result set.

    - ### Methods inherited from class com.independentsoft.exchange.View

      `getMaxEntriesReturned, setMaxEntriesReturned`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FractionalPageView

          public FractionalPageView()

      Initializes a new instance of the FractionalPageView class.

    - #### FractionalPageView

          public FractionalPageView(int numerator,
                                    int denominator)

      Initializes a new instance of the FractionalPageView class.
      Parameters:
        `numerator` - the numerator
        `denominator` - the denominator

    - #### FractionalPageView

          public FractionalPageView(int numerator,
                                    int denominator,
                                    int maxEntriesReturned)

      Initializes a new instance of the FractionalPageView class.
      Parameters:
        `numerator` - the numerator
        `denominator` - the denominator
        `maxEntriesReturned` - the max entries returned

  - ### Method Detail

    - #### getNumerator

          public int getNumerator()

      Gets the numerator of the fractional offset from the start of the total number of items in the result set.
      Returns:
        the numerator

    - #### setNumerator

          public void setNumerator(int numerator)

      Sets the numerator of the fractional offset from the start of the total number of items in the result set.
      Parameters:
        `numerator` - the new numerator

    - #### getDenominator

          public int getDenominator()

      Gets the denominator of the fractional offset from the start of the total number of items in the result set.
      Returns:
        the denominator

    - #### setDenominator

          public void setDenominator(int denominator)

      Sets the denominator of the fractional offset from the start of the total number of items in the result set.
      Parameters:
        `denominator` - the new denominator